Start a job to delete an asset

Start a job to delete an asset by its ID. Optionally provide a delete method that may be used to delete the asset.

Path Params
string
required

The name of the asset type.

required

The asset's ID

Query Params
string
enum

The method by which the asset should be deleted. The supported methods depend on the asset type:

  • RDBMS types (schema, table, attribute): Support soft, soft_ttl, and hard. Default is soft.
  • Filesystem types (file, directory, file_attribute): Only support hard. Default is hard.
  • BI types (bi_folder, bi_report, bi_report_column, bi_datasource, bi_datasource_column): Support soft, soft_ttl, and hard. Default is soft. Deletion cascades to child objects.
  • BI Server (bi_server): Only supports hard. Default is hard. Removes the server and all its children.
  • Catalog/ELT types: Support soft_ttl and hard. Default is soft_ttl.
    If an unsupported method is requested, the API returns 400 Bad Request.
    Delete methods:
  • soft: The asset will be marked as deleted, but the underlying data will still be present on the data store. The asset may be restored with support assistance.
  • soft_ttl (time to live): The asset will be marked as deleted, but the underlying data will still be present on the data store for a certain period of time before it will be fully deleted.
  • hard: The asset will be permanently deleted with no possibility of recovery. All downstream data (tags, flags, custom fields, curation) will also be removed.
Allowed:
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
application/json